:root {
  --column-width: 225px;
  --column-pad: 15px;
}

.column {
  flex: 1;
  margin: 10px var(--column-pad) 25px;
  min-width: var(--column-width);
  text-align: center;
  & .column-title {
    font-weight: 400;
    & .icon {
      margin: 0 7px 2px -5px;
      vertical-align: middle;
      width: 30px;
    }
    & a {
      color: white;
      &:hover {
        cursor: pointer;
        text-decoration: none;
      }
    }
    &.new:after {
      color: var(--red);
      content: "New";
      font-size: 12px;
      font-weight: 800;
      display: inline-block;
      letter-spacing: 1px;
      margin-left: 5px;
      text-transform: uppercase;
      vertical-align: top;
    }
  }
  &.primary {
    display: inline-block;
  }
  &.secondary {
    display: none;
  }
  /* column-width * columns + column-pad * 2 * (columns + 1) */
  @media (max-width: 2070px) {
    &.rank-8.primary {
      display: none;
    }
  }
  @media (max-width: 1815px) {
    &.rank-7.primary {
      display: none;
    }
  }
  @media (max-width: 1560px) {
    &.rank-6.primary {
      display: none;
    }
    &.rank-8.secondary, &.rank-7.secondary, &.rank-6.secondary {
      display: inline-block;
    }
  }
  @media (max-width: 1305px) {
    &.rank-5.primary {
      display: none;
    }
    &.rank-5.secondary {
      display: inline-block;
    }
  }
  @media (max-width: 1050px) {
    &.secondary {
      display: none !important;
    }
    &.primary {
      display: inline-block !important;
    }
  }
  & .column-footer {
    color: white;
  }
}
